package com.th.demo.mapping.maint;

import com.th.demo.model.maint.Material;

import java.util.List;

public interface MaterialMapper {
    int deleteByPrimaryKey(String id);

    int insert(Material record);

    int insertSelective(Material record);

    Material selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Material record);

    int updateByPrimaryKey(Material record);

    List<Material> select(String material,String standard, String belongId);

    Material selectByNameStandard(String materialName, String standard, String belongId);
}